• Related updates to several packages.
  • Super updated to 5.2.0
  • hypre rebuilt for superlu version bump
  • petsc version bump

This update has been submitted for testing by nonamedotc.

2 years ago

nonamedotc edited this update.

New build(s):

  • armadillo-8.300.0-1.el7

Karma has been reset.

2 years ago

nonamedotc edited this update.

New build(s):

  • mlpack-2.2.5-2.el7

Karma has been reset.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon anonymous commented & provided feedback 2 years ago

At least following packages need to be added to this update, because of .so version updates:

coin-or-Ipopt
gdal
User Icon anonymous commented & provided feedback 2 years ago

There is a dependency issue in mlpack-devel - it requres pkg-config but on rhel7 package is pkgconfig and nothing provides pkg-config. Please fix.

karma: -1

User Icon orion commented & provided feedback 2 years ago
karma

gdal needs to be rebuilt as well.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago
User Icon sagitter commented & provided feedback 2 years ago
User Icon nonamedotc commented & provided feedback 2 years ago

this also needs gdal. Unpushing for now.

nonamedotc edited this update.

New build(s):

  • coin-or-Ipopt-3.12.8-5.el7

Karma has been reset.

2 years ago

This update has been submitted for testing by nonamedotc.

2 years ago

nonamedotc edited this update.

New build(s):

  • gdal-1.11.4-2.el7

Karma has been reset.

2 years ago

This update has been submitted for testing by nonamedotc.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon sagitter commented & provided feedback 2 years ago
karma

It's okay for me.

BZ#1498209 superlu 5.2.0 on epel
User Icon orion commented & provided feedback 2 years ago
karma

Doesn't look like gdal was built with the right armadillo. Buildroot override expire?

Error: Package: gdal-libs-1.11.4-2.el7.x86_64 (epel-testing) Requires: libarmadillo.so.4()(64bit) Removing: armadillo-4.320.0-1.el7.x86_64 (@epel-7-x86_64/7.4) libarmadillo.so.4()(64bit) Updated By: armadillo-8.300.0-1.el7.x86_64 (epel-testing) ~libarmadillo.so.8()(64bit)

User Icon sagitter commented & provided feedback 2 years ago

Can someone fix the issue (gdal rebuilding) reported by Orion please?

orion edited this update.

New build(s):

  • gdal-1.11.4-3.el7

Removed build(s):

  • gdal-1.11.4-2.el7

Karma has been reset.

2 years ago

This update has been submitted for testing by orion.

2 years ago

nonamedotc edited this update.

New build(s):

  • mlpack-2.2.5-3.el7

Removed build(s):

  • mlpack-2.2.5-2.el7

Karma has been reset.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon anonymous commented & provided feedback 2 years ago

mlpack still has a dependency issue, please fix and rebuild:

package: mlpack-devel-2.2.5-3.el7.x86_64

unresolved deps:

 pkg-config

that's pkgconfig on rhel7, there is no pkg-config available.

karma: -1

User Icon anonymous commented & provided feedback 2 years ago

pkg-config requirement is wrong in two places. I'd use this for main package:

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  pkgconfig
%else
BuildRequires:  pkg-config
%endif

And for devel I'd use:

%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:       pkgconfig
%else
Requires:       pkg-config
%endif

Using both rhel and rhel version checks on same line is more readable. And <= 6 is more readable than < 7.

User Icon nonamedotc commented & provided feedback 2 years ago

as requested by Ryan, I am editing this update to resolve the mlpack issue.

nonamedotc edited this update.

New build(s):

  • mlpack-2.2.5-4.el7

Removed build(s):

  • mlpack-2.2.5-3.el7

Karma has been reset.

2 years ago

This update has been submitted for testing by nonamedotc.

2 years ago

This update has been pushed to testing.

2 years ago

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

2 years ago

This update has been submitted for batched by nonamedotc.

2 years ago

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago

Have these packages been correctly pushed to stable?

I know of only one way to push to stable which is what I have done. What problems are you facing?

I seen "Test Gating Status": "Tests failed", and new packages are not in epel yet.

It's most likely a mirror issue. The packages have been pushed as far as I can tell.


Please login to add feedback.

Metadata
Type
enhancement
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#1498209 superlu 5.2.0 on epel
0
0

Automated Test Results